import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_applied_work_flow_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_applied_work_flow_entity.g.dart';

@JsonSerializable()
class JobListAppliedWorkFlowEntity {
	@JSONField(name: "department_id")
	String? departmentId = null;
	List<JobListAppliedWorkFlowRecords>? records = [];

	JobListAppliedWorkFlowEntity();

	factory JobListAppliedWorkFlowEntity.fromJson(Map<String, dynamic> json) => $JobListAppliedWorkFlowEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListAppliedWorkFlowEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListAppliedWorkFlowRecords {
	@JSONField(name: "serial_number")
	int serialNumber = 0;
	@JSONField(name: "node_name")
	String? nodeName = null;
	@JSONField(name: "status_show")
	String? statusShow = null;
	@JSONField(name: "audit_name")
	String? auditName = null;
	@JSONField(name: "audit_time")
	String? auditTime = null;
	@JSONField(name: "audit_mark")
	String? auditMark;
	@JSONField(name: "created_at")
	String? createdAt = null;
	@JSONField(name: "assignee_type_show")
	String? assigneeTypeShow = null;
	@JSONField(name: "designation_show")
	String? designationShow = null;

	JobListAppliedWorkFlowRecords();

	factory JobListAppliedWorkFlowRecords.fromJson(Map<String, dynamic> json) => $JobListAppliedWorkFlowRecordsFromJson(json);

	Map<String, dynamic> toJson() => $JobListAppliedWorkFlowRecordsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}